[ARVADOS-DEV] updated: eecd977323efa42d14fa0276a1f22af470dc4ff9

git at public.curoverse.com git at public.curoverse.com
Fri May 15 17:09:22 EDT 2015


Summary of changes:
 jenkins/run-build-packages.sh | 10 ++++++++++
 1 file changed, 10 insertions(+)

       via  eecd977323efa42d14fa0276a1f22af470dc4ff9 (commit)
      from  1ab2da62031f08b938a345c25f4887c722327bbe (commit)

Those revisions listed above that are new to this repository have
not appeared on any other notification email; so we list those
revisions in full, below.


commit eecd977323efa42d14fa0276a1f22af470dc4ff9
Author: Brett Smith <brett at curoverse.com>
Date:   Fri May 15 17:09:18 2015 -0400

    3793: Add dependency check for python3-setuptools.

diff --git a/jenkins/run-build-packages.sh b/jenkins/run-build-packages.sh
index 40eedc8..3b9fc15 100755
--- a/jenkins/run-build-packages.sh
+++ b/jenkins/run-build-packages.sh
@@ -81,6 +81,16 @@ if [[ "$?" != 0 ]]; then
   exit 1
 fi
 
+if ! easy_install3 --version >/dev/null; then
+  cat >&2 <<EOF
+$helpmessage
+
+Error: easy_install3 (from python3-setuptools) not found
+
+EOF
+  exit 1
+fi
+
 if [[ "$DEBUG" != 0 ]]; then
   echo "Workspace is $WORKSPACE"
 fi

-----------------------------------------------------------------------


hooks/post-receive
-- 




More information about the arvados-commits mailing list